#include <stdio.h>
#include <mpi.h>
#include <string.h>


int main(int argc, char ** argv) {

    int my_rank, world_size, length;
    char message[256], name[80];
    MPI_Status status;


    MPI_Init(&argc, &argv); /* note that argc and argv are passed by address */

    MPI_Comm_rank(MPI_COMM_WORLD,&my_rank);
    MPI_Comm_size(MPI_COMM_WORLD,&world_size);

    if ( my_rank!=0) {
        printf("\nGoodbye cruel world of size %d, I am a lowly slave node, with rank %d\n", world_size, my_rank);
	}
    else { /* I am the server */
        printf("\nHello world, I am the master node, with rank %d in a world of size %d\n", my_rank, world_size);
            }
    MPI_Finalize();
}
